Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the helma.Chart prototype
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/helma/Color.js')
helma Color(R, G, B)
Constructs a new instance of helma.Color.
parameters

Number, String | R | Either the red fraction of the color, or the name of the color.
Number | G | The green fraction
Number | B | The blue fraction

methods

- valueOf(channel)

- toString()

- getName()

Object helma. Color.COLORNAMES
Contains the hexadecimal values of named colors.
Object helma. Color.COLORVALUES
Contains the color names for specific hex values
Methods
helma.Color. valueOf(channel)
Returns the decimal value of this color, or of a specified color channel.
parameters

String | channel | An optional color channel which decimal value should be returned. Must be either "red", "green" or "blue". If no channel is specified this method returns the decimal value of the color itself.

returns

| The decimal value of this color or a single channel.

helma.Color. toString()
Returns the hexidecimal value of this color (without a leading hash sign).
returns

| The hexidecimal value of this color

helma.Color. getName()
Returns the trivial name of this color
returns

| The trivial name of this color

helma. Color.fromName(name)
Creates a new helma.Color instance based on a color name.
parameters

String | name | The color name (eg. "darkseagreen")

returns

| An instance of helma.Color representing the color specified

helma. Color.fromHsl(H, S, L)
Creates a new helma.Color instance based on a HSL color representation. This method is adapted from the HSLtoRGB conversion method as described at http://www1.tip.nl/~t876506/ColorDesign.html#hr.
parameters

Number | H | The hue fraction of the color definition
Number | S | The saturation fraction
Number | L | The lightness fraction

returns

| An instance of helma.Color representing the corresponding RGB color definition.

Tue, 25 Nov 2008 16:50:11 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar